create table if not exists Image (
url			TEXT unique,
data			BLOB
);
create table if not exists Preferences (
idUnique		INT primary key,
frequency		TEXT,
displaySort	TEXT,
searchSort		TEXT,
lastMAJ		LONG,
nextMAJ		LONG
);
create table if not exists Configuration(
idUnique				INTEGER PRIMARY KEY,
isModeDegrade			LONG,
agsCredentialLogin		TEXT,
agsCredentialPassword		TEXT,
serverLdapAddr		 	TEXT,
serverLdapPort		 	TEXT,
baseDnLdap			 	TEXT,
lastUpdateCredentialDate	LONG
);
create table if not exists Conflicts (
idLDAP			TEXT unique,
oldTelephoneNumber 	TEXT,
oldMobile			TEXT,
newTelephoneNumber 	TEXT,
newMobile			TEXT
);
create table if not exists Contacts (
_id			INTEGER PRIMARY KEY AUTOINCREMENT,
idLDAP		TEXT,
firstname		TEXT,
lastname		TEXT,
telephoneNumber TEXT,
mobile		TEXT,
status		TEXT,
statusAB		TEXT,
idListContact	LONG
);
create table if not exists ContactsMeta (
idLDAP		TEXT,
lastFoundDate	LONG DEFAULT 0,
viewCount	INTEGER DEFAULT 0
);